
attribute vec4 a_position;
attribute vec3 a_normal;
attribute vec2 a_texCoord;
attribute vec4 a_color;

#ifdef GL_ES
varying highp	vec4	v_mpos;
varying mediump	vec3	v_normal;
varying lowp	vec4	v_color;
#else
varying			vec4	v_mpos;
varying			vec3	v_normal;
varying			vec4	v_color;
#endif

void main()
{
	gl_Position		= CC_MVPMatrix * a_position;
	v_mpos			= CC_MVMatrix * a_position;
	v_normal		= CC_NormalMatrix * a_normal;
	v_color			= a_color;
}