
#ifdef GL_ES
precision mediump float;

varying lowp	vec4	v_color;
varying mediump	vec2	v_texCoord;
#else
varying			vec4	v_color;
varying			vec2	v_texCoord;
#endif

uniform float	u_dodgeMult;

void main()			
{
	vec4 c0			= texture2D(CC_Texture0,v_texCoord);
	float edge		= 0.5 - 0.5*cos(6.2832*v_texCoord.y*200.0);
	gl_FragColor	= vec4(min(c0.rgb*(1.0 + u_dodgeMult)*edge,vec3(1.0)),c0.a*v_color.a);
}
